<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;


class BankExport implements FromArray, WithHeadings
{
    
    protected $bankReport;
    protected $headings;
    public function __construct(array $bankReport)
    {
        $this->bankReport = $bankReport;
    }

    /**
    * @return array
    */
    public function array(): array
    {
        return $this->bankReport;
    }

    public function headings(): array
    {
        return [
            'Employee Name',
            'Account Number',
            'Bank Name',
            'Amount',
        ];

    }
}
